import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class TextFieldTesti extends Applet implements ActionListener
{
 private TextField T1,T2,T3,T4;

 public void init()
 {
 setBackground(Color.lightGray);
 //bos textField
 T1=new TextField();
 T1.addActionListener(this);
 add(T1);
 T2=new TextField("Buraya yazi yaziniz");
 T2.addActionListener(this);
 add(T2);
 T2=new TextField("gizli yazi");
 T2.setEchoChar('*');
 T2.addActionListener(this);
 add(T2);
 T3=new TextField("gizli yazi");
 T3.setEditable(false);
 add(T3);
 }

 public void actionPerformed(ActionEvent e)
 {
 showStatus("Yazi : "+e.getActionCommand());
 }

}
